# Environment

Many aspects of the Valtimo front-end can be configured through Angular environment files. Please refer to the following non-exhaustive list of configuration options, which refer to keys under the interface `ValtimoConfig`.

* **`formioOptions`**

  The Form.io renderer uses an options object of the type `FormioOptions`. Valtimo provides some defaults (such as language). To override these options with your own, use this key in your environment file. Find an example below of a possible configuration:

```typescript
formioOptions: {
    languageOverride: {
      'en-US': {
        decimalSeparator: ':',
        delimiter: ':',
      },
    },
  },
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.valtimo.nl/v12/nog-een-plek-geven/reference/environment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
